Name:          sonata
Version:       1.7.1
Release:       1mamba
Summary:       GTK+ music client for MPD
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.berlios.de/software/sonata/
Source:        https://github.com/multani/sonata.git/v%{version}/sonata-%{version}.tar.bz2
License:       GPL
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
BuildRequires: libffi-devel
BuildRequires: mpd
Requires:      python-dbus-py3
Requires:      pygobject-py3
Requires:      python-tagpy-py3
Requires:      python-mpd2-py3

%description
Sonata is an elegant GTK+ music client for the Music Player Daemon (MPD).

Sonata is licensed by the GPL and is free software.
It has been forked from the unmaintained Pygmy project in order to fix bugs, introduce new features, and proceed down a different path.
Features:

- Expanded and collapsed views
- Automatic remote and local album art
- User-configurable columns
- Automatic fetching of lyrics
- Playlist and stream support
- Support for editing song tags
- Popup notification
- Library and playlist searching
- Audioscrobbler (last.fm) support
- Multiple MPD profiles
- Keyboard friendly
- Support for multimedia keys
- Commandline control
- Available in 19 languages

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch}

rm -rf %{buildroot}%{_datadir}/sonata

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/sonata
%{_datadir}/applications/sonata.desktop
%dir %{python3_sitearch}/sonata
%{python3_sitearch}/sonata/*.py*
%dir %{python3_sitearch}/sonata/__pycache__
%{python3_sitearch}/sonata/__pycache__/*
%dir %{python3_sitearch}/sonata/pixmaps
%{python3_sitearch}/sonata/pixmaps/*
%dir %{python3_sitearch}/sonata/plugins
%{python3_sitearch}/sonata/plugins/*
%dir %{python3_sitearch}/sonata/ui
%{python3_sitearch}/sonata/ui/*
%{python3_sitearch}/Sonata-*-py*.egg-info
%{_mandir}/man1/sonata.1*
%doc COPYING

%changelog
* Fri May 02 2025 Automatic Build System <autodist@openmamba.org> 1.7.1-1mamba
- automatic version update by autodist

* Wed Jan 17 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-2mamba
- rebuilt with python3 == 3.11

* Wed Mar 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-1mamba
- update to 1.7.0

* Thu Aug 15 2013 Automatic Build System <autodist@mambasoft.it> 1.6.2.1-2mamba
- automatic rebuild by autodist

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 1.6.2.1-1mamba
- automatic update by autodist

* Wed Apr 15 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.2-1mamba
- automatic update by autodist

* Sat Oct 04 2008 gil <puntogil@libero.it> 1.5.3-1mamba
- update to 1.5.3

* Mon Aug 18 2008 gil <puntogil@libero.it> 1.5.2-1mamba
- package created by autospec
- error (111, 'Connection refused') could depend on the wrong mpd setting or python-taglib tagpy  (optional) not installed 
